Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache
Interface TreeCacheListener

All Known Implementing Classes:
  AbstractTreeCacheListener, ConsoleListener, MarshalledTreeCache, SharedStoreCacheLoader, TreeCacheView.MyListener

    public interface TreeCacheListener

Callbacks for various events regarding TreeCache. Implementers should avoid performing long running actions, as this blocks the cache. If you have to do so, please start a new thread.

Version:
  $Revision: 1.4 $
Author:
  Bela Ban, Ben Wang

Method Summary
`void` | `cacheStarted(TreeCache cache)` Called when the cache is started.
`void` | `cacheStopped(TreeCache cache)` Called when the cache is stopped.
`void` | `nodeCreated(Fqn fqn)` Called when a node is created
`void` | `nodeEvicted(Fqn fqn)` Called when a node is evicted (not the same as remove()).
`void` | `nodeLoaded(Fqn fqn)` Called when a node is loaded into memory via the CacheLoader.
`void` | `nodeModified(Fqn fqn)` Called when a node is modified, e.g., one (key, value) pair in the internal map storage has been modified.
`void` | `nodeRemoved(Fqn fqn)` Called when a node is removed.
`void` | `nodeVisited(Fqn fqn)` Called when a node is visisted, i.e., get().
`void` | `viewChange(org.jgroups.View new_view)`

Method Detail

### nodeCreated

    void nodeCreated(Fqn fqn)

  Called when a node is created

  Parameters:
    `fqn` -

### nodeRemoved

    void nodeRemoved(Fqn fqn)

  Called when a node is removed.

  Parameters:
    `fqn` -

### nodeLoaded

    void nodeLoaded(Fqn fqn)

  Called when a node is loaded into memory via the CacheLoader. This is not the same as `nodeCreated(Fqn)`.

### nodeEvicted

    void nodeEvicted(Fqn fqn)

  Called when a node is evicted (not the same as remove()).

  Parameters:
    `fqn` -

### nodeModified

    void nodeModified(Fqn fqn)

  Called when a node is modified, e.g., one (key, value) pair in the internal map storage has been modified.

  Parameters:
    `fqn` -

### nodeVisited

    void nodeVisited(Fqn fqn)

  Called when a node is visisted, i.e., get().

  Parameters:
    `fqn` -

### cacheStarted

    void cacheStarted(TreeCache cache)

  Called when the cache is started.

  Parameters:
    `cache` -

### cacheStopped

    void cacheStopped(TreeCache cache)

  Called when the cache is stopped.

  Parameters:
    `cache` -

### viewChange

    void viewChange(org.jgroups.View new_view)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.